Support » Plugin: Widget Options - Add Context To WordPress Widgets » Warning “Trying to access array offset on value of type null” with PHP 8.0

  • Hello,

    After upgrading to PHP 8.0 I get this constant warning on the logs:

    PHP Warning: Trying to access array offset on value of type null in /home/mysite/public_html/wp-content/plugins/widget-options/includes/widgets/display.php on line 414

    is this because of a null array? Can you check it please?

    • This topic was modified 7 months, 2 weeks ago by Dpsachou.
Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Support Mej de Castro

    (@mej)

    Hi @dpsachou

    Thank you for letting us about this warning. We will check this out and update as needed.

    Kind Regards,
    Widget Options Support

    Plugin Support Mej de Castro

    (@mej)

    Hi @dpsachou

    We can’t replicate this warning on our end. Can you please confirm the following feature are enabled: Pages Visibility, Devices Restriction, Custom Alignment, Hide Title, Classes & ID, and Display Logic?

    Thank you and I’ll be waiting for your confirmation.

    Regards,
    Widget Options Support

    Thread Starter Dpsachou

    (@dpsachou)

    Hello. Correct. These are the exact features I have enabled.

    Other info about server that might help:
    Mysql 5,7
    Apache 2,4 with http2 enabled
    PHP handler: PHP-FPM & fcgi

    Plugin Support Mej de Castro

    (@mej)

    Hi @dpsachou

    Checking in! Do you still have the below warning after upgrading to the latest version of the Widget Options plugin?

    PHP Warning: Trying to access array offset on value of type null in /home/mysite/public_html/wp-content/plugins/widget-options/includes/widgets/display.php on line 414

    Thank you and please let me know!

    Regards,
    Widget Options Support

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.